--- title: "Terminate channel" slug: "media-livestation-re-stream-channeldelete" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-re-stream-channeldelete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Terminate channel Available in Classic and VPC Terminate a re-stream channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/v2/re-stream/channels/{channelId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-re-stream-channellist). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://livestation.apigw.ntruss.com/api/v2/re-stream/channels/ls-20250819******-Ik1QU' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Channel information | | `content.channelId` | String | - | Channel ID | | `content.channelName` | String | - | Channel name | | `content.instanceNo` | Integer | - | Channel instance number | | `content.channelStatus` | String | - | Channel status - `CREATING` \| `READY` \| `PUBLISHING` \| `DELETED` \| `BLOCK` \| `FORCE_BLOCK` \| `FORCE_DELETED` - `CREATING`: Creating - `READY`: Ready - `PUBLISHING`: Streaming - `DELETED`: Terminated - `BLOCK`: Stopped - `FORCE_BLOCK`: Force stopped - `FORCE_DELETED`: Unavailable | | `content.streamKey` | String | - | Stream key | | `content.publishUrl` | String | - | Default transmission URL | | `content.globalPublishUrl` | String | - | Overseas streaming URL | | `content.planType` | String | - | Pricing plan type - `STANDARD` \| `PROFESSIONAL` - `STANDARD`: Re-stream up to 3 platforms. - `PROFESSIONAL`: Re-stream up to 5 platforms. | | `content.createdTime` | Integer | - | Channel creation date and time (millisecond) - Unix timestamp format | | `content.platformCount` | Integer | - | Re-stream platform count | | `content.totalPublishSeconds` | Integer | - | Channel usage time (second) | | `content.recentPublishTime` | Integer | - | Latest streaming start time (millisecond) - Unix timestamp format | | `content.alertOn` | Boolean | - | Event notification settings - `true` \| `false` - `true`: Enable - `false`: Disable | | `content.isPublishing` | Boolean | - | Streaming status - `true` \| `false` - `true`: Streaming - `false`: Not streaming | | `content.alertOptions` | Object | - | Set event notifications. | | `alertOptions.alertChangeStatus` | Boolean | - | Re-stream channel status change notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `alertOptions.alertVodUploadFail` | Boolean | - | Recording file upload failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `alertOptions.alertReStreamFail` | Boolean | - | Re-stream relay failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.alertOptions.reStreamFailThreshold` | Integer | - | Notification occurrence condition (base count) - Not displayed before initial notification settings | | `alertOptions.alertStreamFailOver` | Boolean | - | Main stream switch notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.callbackEndpoint` | String | - | Callback endpoint URL - Displayed if a valid value exists | | `content.envType` | String | - | Channel type - `REAL` \| `DEV` \| `STAGE` | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250819******-Ik1QU", "channelName": "channel001", "instanceNo": 10*******, "channelStatus": "DELETED", "streamKey": "zg******************************", "publishUrl": "rtmp://***********.video.media.ntruss.com:8080/relay", "globalPublishUrl": "rtmp://***************.video.media.ntruss.com:8080/relay", "planType": "STANDARD", "createdTime": 1755571786000, "platformCount": 2, "totalPublishSeconds": 189, "recentPublishTime": 1755757280000, "alertOn": true, "isPublishing": false, "alertOptions": { "alertChangeStatus": true, "alertVodUploadFail": false, "alertReStreamFail": true, "reStreamFailThreshold": 3, "alertStreamFailOver": false }, "callbackEndpoint": "https://www.example.com", "envType": "REAL" } } ```